Last Comment Bug 786013 - Add more localization notes to about:feedback strings to clarify tone/intent
: Add more localization notes to about:feedback strings to clarify tone/intent
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: Firefox 18
Assigned To: :Margaret Leibovic
:
Mentors:
Depends on:
Blocks: 774479
  Show dependency treegraph
 
Reported: 2012-08-27 12:57 PDT by :Margaret Leibovic
Modified: 2016-07-29 14:29 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified
verified
verified
verified
verified


Attachments
patch (5.62 KB, patch)
2012-08-27 15:51 PDT, :Margaret Leibovic
mark.finkle: review+
bajaj.bhavana: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description :Margaret Leibovic 2012-08-27 12:57:41 PDT
We should add more notes to the about:feedback string to make sure localizes understand where we're trying to inject some whimsy, because translating some of these string literally might not work out well (e.g. "Or else.").

Matej, maybe you have some ideas about what we should put in these notes? I feel like we should let localizers do what will work best in their locale, but giving some direction about our intent would be good.

https://hg.mozilla.org/mozilla-central/file/20b009e26b4c/mobile/android/locales/en-US/chrome/aboutFeedback.dtd
Comment 1 Matej Novak [:matej] 2012-08-27 14:40:40 PDT
Yup, definitely a good idea. Let me know if the following is clear:


Somewhere near the beginning:

The text in some of these strings is supposed to be fun and playful. Please feel free to adjust the tone as works best in your language and/or locale. More detailed notes below.


Line 21:

"Share the love" — this feels purposely exaggerated in English, but essentially it means that we want you to let others know how much you love Firefox


Line 22:

"Feels great" — another exaggeration where we're trying to get people to rate us by playfully telling them there's a benefit in it for them as well


Line 36:

"Real people" — we're stating that an actual human will look at the feedback and that it doesn't just go to some automated system that looks for keywords, or something like that


Line 37:

"Or else" — we're suggesting that there will be consequences for the people working on Firefox if they don't resolve the user's problem, like "or if they don't fix it, we'll fire them." If this doesn't work in your language, you can change it to something like "no matter what" or just remove it entirely.


Line 39:

"Just the ones about..." — in English, "please share your thoughts" could mean that we're asking the user to tell us any thoughts or ideas they have about anything, so we're jokingly telling them not to use the space below to tell us anything they're thinking about


Line 46:

"High five" — this is a celebratory or congratulatory gesture. It could also be a handshake, a pat on the back, a thumbs up or something similar. The idea is that it's something physical, which is why they can't see it.
Comment 2 :Margaret Leibovic 2012-08-27 15:51:42 PDT
Created attachment 655801 [details] [diff] [review]
patch

Thanks for the detailed notes, Matej!

I added them to aboutFeedback.dtd.
Comment 4 Ryan VanderMeulen [:RyanVM] 2012-08-28 17:12:05 PDT
https://hg.mozilla.org/mozilla-central/rev/5ca2c9d69386
Comment 5 :Margaret Leibovic 2012-08-29 09:38:39 PDT
Comment on attachment 655801 [details] [diff] [review]
patch

[Approval Request Comment]
Bug caused by (feature/regressing bug #): feedback solicitation (bug 774479)
User impact if declined: localizers will have a harder time translating strings, potentially missing our intended tone
Testing completed (on m-c, etc.): landed on m-c 8/28
Risk to taking this patch (and alternatives if risky): low risk
String or UUID changes made by this patch: n/a (just changes localization notes)
Comment 6 bhavana bajaj [:bajaj] 2012-08-29 15:39:22 PDT
Approving as there are no string changes.
Comment 8 :Margaret Leibovic 2012-08-30 11:09:05 PDT
Comment on attachment 655801 [details] [diff] [review]
patch

[Approval Request Comment]
Bug caused by (feature/regressing bug #): feedback solicitation (bug 774479)
User impact if declined: localizers will have a harder time translating strings, potentially missing our intended tone
Testing completed (on m-c, etc.): landed on m-c 8/28
Risk to taking this patch (and alternatives if risky): low risk
String or UUID changes made by this patch: n/a (just changes localization notes)
Comment 10 Cristian Nicolae (:xti) 2012-11-21 06:13:00 PST
Notes were added on all branches
http://mxr.mozilla.org/mozilla-release/source/mobile/android/locales/en-US/chrome/aboutFeedback.dtd

Note You need to log in before you can comment on or make changes to this bug.